Description

field calculator: extract Z coord does not work

given a 3D shapefile, the field calculator does not extract the Z coord.

used expression: z ($ geometry)

tests performed on OSGeo4W, does not work on: 2.14.19, 2.18.13 and 2.99 (ae4d26a675)

machine win 10 64 bit

History

#1 - 2017-10-16 09:46 PM - salvatore fiandaca

salvatore fiandaca wrote:

field calculator: extract Z coord does not work

given a 3D shapefile, the field calculator does not extract the Z coord.

used expression: z ($ geometry)

tests performed on OSGeo4W, does not work on: 2.14.19, 2.18.13 and 2.99 (ae4d26a675)

machine win 10 64 bit

geometry is lineStringZ

#2 - 2017-10-16 10:01 PM - salvatore fiandaca

from other tests, it is known that to extract the coordZ just do z (point_n ($ geometry, 1))

the question remains whether it is a bug or not

#3 - 2017-10-17 01:06 AM - Nyall Dawson

What z value would you expect it to give for a linestring? I'd say current behavior is correct, OR returning an array of all z values for the nodes in the line.

#4 - 2017-10-17 09:04 AM - Giovanni Manghi

- Status changed from Open to Feedback
#5 - 2017-10-17 09:46 AM - salvatore fiandaca

Nyall Dawson wrote:

What z value would you expect it to give for a linestring? I'd say current behavior is correct, OR returning an array of all z values for the nodes in the

line.

for an isoipse i would expect the z value that is equal for all nodes.

But I realized that it would only be a special case with Z = constant

thank you

#6 - 2017-10-17 09:58 AM - Giovanni Manghi

salvatore fiandaca wrote:

Nyall Dawson wrote:

What z value would you expect it to give for a linestring? I'd say current behavior is correct, OR returning an array of all z values for the nodes in

the line.

for an isoipse i would expect the z value that is equal for all nodes.

But I realized that it would only be a special case with Z = constant

thank you

I suggest to close this ticket (behavior correct) or add a feature request (array with all the values of the nodes).

#7 - 2017-10-17 10:05 AM - salvatore fiandaca

Giovanni Manghi wrote:

salvatore fiandaca wrote:

Nyall Dawson wrote:

What z value would you expect it to give for a linestring? I'd say current behavior is correct, OR returning an array of all z values for the nodes in

the line.

for an isoipse i would expect the z value that is equal for all nodes.

But I realized that it would only be a special case with Z = constant

thank you

I suggest to close this ticket (behavior correct) or add a feature request (array with all the values of the nodes).

yes, close as well.

thank you

#8 - 2017-10-17 11:06 AM - Giovanni Manghi
- Resolution set to invalid

- Status changed from Feedback to Closed
